Bug 1264532 - pahole output is ugly
pahole output is ugly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 13:34 EDT by Tom Tromey
Modified: 2015-09-24 04:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: 7.9.1-19.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 04:22:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2015-09-18 13:34:23 EDT
I compiled this with -g:

pokyo. cat r.c
struct x {
  int a;
  float b;
  char c;
};

struct x x;


Then in gdb I used pahole.  The output is pretty ugly, I suppose
fallout from making it python3 compatible.

(gdb) pahole struct x
              
struct x {
 /*   0   4 */
  
int a
 /*   4   4 */
  
float b
 /*   8   1 */
  
char c
  /* XXX 24 bit hole, try to pack */
              
} 

Making it more like the real pahole would be nice.
That's how it used to work.

pokyo. pahole --class_name=x r.o
struct x {
	int                        a;                    /*     0     4 */
	float                      b;                    /*     4     4 */
	char                       c;                    /*     8     1 */

	/* size: 12, cachelines: 1, members: 3 */
	/* padding: 3 */
	/* last cacheline: 12 bytes */
};
Comment 1 Fedora Update System 2015-09-18 15:37:13 EDT
gdb-7.9.1-19.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16181
Comment 2 Fedora Update System 2015-09-18 15:38:05 EDT
gdb-7.10-23.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16182
Comment 3 Fedora Update System 2015-09-20 10:58:14 EDT
gdb-7.10-23.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gdb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16182
Comment 4 Fedora Update System 2015-09-20 11:22:02 EDT
gdb-7.10-23.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-09-20 12:50:14 EDT
gdb-7.9.1-19.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gdb'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16181
Comment 6 Fedora Update System 2015-09-24 04:22:07 EDT
gdb-7.9.1-19.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.